{
    "packages": [
        {
            "name": "corveda/php-sandbox",
            "version": "v3.1",
            "version_normalized": "3.1.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/Corveda/PHPSandbox.git",
                "reference": "0e14807f2172abfd8dd49fae7750a227d7309fe9"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/Corveda/PHPSandbox/zipball/0e14807f2172abfd8dd49fae7750a227d7309fe9",
                "reference": "0e14807f2172abfd8dd49fae7750a227d7309fe9",
                "shasum": ""
            },
            "require": {
                "ext-json": "*",
                "nikic/php-parser": "^5.0",
                "php": ">=7.4|>=8.0",
                "simpletools/functionparser": "^1.0"
            },
            "replace": {
                "fieryprophet/php-sandbox": "*"
            },
            "require-dev": {
                "phpunit/phpunit": "^9.5",
                "symfony/yaml": "~3.0|~4.0|~5.0"
            },
            "time": "2024-02-17T16:26:09+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/functions.php"
                ],
                "psr-4": {
                    "PHPSandbox\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "BSD-3-Clause"
            ],
            "authors": [
                {
                    "name": "Elijah Horton",
                    "email": "elijah@corveda.com"
                },
                {
                    "name": "Corveda, LLC."
                }
            ],
            "description": "A PHP library that can be used to run PHP code in a sandboxed environment",
            "homepage": "https://phpsandbox.org/",
            "keywords": [
                "blacklist",
                "parser",
                "php",
                "sandbox",
                "whitelist"
            ],
            "support": {
                "issues": "https://github.com/Corveda/PHPSandbox/issues",
                "source": "https://github.com/Corveda/PHPSandbox/tree/v3.1"
            },
            "install-path": "../corveda/php-sandbox"
        },
        {
            "name": "guttedgarden/tiktoken",
            "version": "1.2.1",
            "version_normalized": "1.2.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guttedgarden/tiktoken-php-7.4.git",
                "reference": "859703018a6f5f25a1a6d7027986f86905520174"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guttedgarden/tiktoken-php-7.4/zipball/859703018a6f5f25a1a6d7027986f86905520174",
                "reference": "859703018a6f5f25a1a6d7027986f86905520174",
                "shasum": ""
            },
            "require": {
                "php": ">=7.4"
            },
            "time": "2025-04-17T09:32:47+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "guttedgarden\\Tiktoken\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "description": "PHP 7.4 version of tiktoken",
            "keywords": [
                "bpe",
                "decode",
                "encode",
                "openai",
                "tiktoken",
                "tokenizer"
            ],
            "support": {
                "issues": "https://github.com/guttedgarden/tiktoken-php-7.4/issues",
                "source": "https://github.com/guttedgarden/tiktoken-php-7.4/tree/1.2.1"
            },
            "install-path": "../guttedgarden/tiktoken"
        },
        {
            "name": "league/html-to-markdown",
            "version": "5.1.1",
            "version_normalized": "5.1.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/thephpleague/html-to-markdown.git",
                "reference": "0b4066eede55c48f38bcee4fb8f0aa85654390fd"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/thephpleague/html-to-markdown/zipball/0b4066eede55c48f38bcee4fb8f0aa85654390fd",
                "reference": "0b4066eede55c48f38bcee4fb8f0aa85654390fd",
                "shasum": ""
            },
            "require": {
                "ext-dom": "*",
                "ext-xml": "*",
                "php": "^7.2.5 || ^8.0"
            },
            "require-dev": {
                "mikehaertl/php-shellcommand": "^1.1.0",
                "phpstan/phpstan": "^1.8.8",
                "phpunit/phpunit": "^8.5 || ^9.2",
                "scrutinizer/ocular": "^1.6",
                "unleashedtech/php-coding-standard": "^2.7 || ^3.0",
                "vimeo/psalm": "^4.22 || ^5.0"
            },
            "time": "2023-07-12T21:21:09+00:00",
            "bin": [
                "bin/html-to-markdown"
            ],
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "5.2-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "League\\HTMLToMarkdown\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Colin O'Dell",
                    "email": "colinodell@gmail.com",
                    "homepage": "https://www.colinodell.com",
                    "role": "Lead Developer"
                },
                {
                    "name": "Nick Cernis",
                    "email": "nick@cern.is",
                    "homepage": "http://modernnerd.net",
                    "role": "Original Author"
                }
            ],
            "description": "An HTML-to-markdown conversion helper for PHP",
            "homepage": "https://github.com/thephpleague/html-to-markdown",
            "keywords": [
                "html",
                "markdown"
            ],
            "support": {
                "issues": "https://github.com/thephpleague/html-to-markdown/issues",
                "source": "https://github.com/thephpleague/html-to-markdown/tree/5.1.1"
            },
            "funding": [
                {
                    "url": "https://www.colinodell.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://www.paypal.me/colinpodell/10.00",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/colinodell",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/league/html-to-markdown",
                    "type": "tidelift"
                }
            ],
            "install-path": "../league/html-to-markdown"
        },
        {
            "name": "maxguru/mysql-vector",
            "version": "3.3.0",
            "version_normalized": "3.3.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/maxguru/mysql-vector.git",
                "reference": "17f2741d91015605edecb84fa19d2167a32b0faa"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/maxguru/mysql-vector/zipball/17f2741d91015605edecb84fa19d2167a32b0faa",
                "reference": "17f2741d91015605edecb84fa19d2167a32b0faa",
                "shasum": ""
            },
            "require": {
                "ext-ctype": "*",
                "ext-json": "*",
                "ext-mysqli": "*",
                "php": ">=7.2"
            },
            "require-dev": {
                "bartlett/php-compatinfo": "^7.2",
                "phpunit/phpunit": "^9.5"
            },
            "time": "2026-02-24T00:58:50+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "MHz\\MysqlVector\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Alex R.",
                    "email": "inquiries@maximum.guru",
                    "homepage": "https://maximum.guru"
                },
                {
                    "name": "Allan Pichardo",
                    "email": "allan.pichardo@gmail.com",
                    "homepage": "https://allanpichardo.com"
                },
                {
                    "name": "Albert Skibinski",
                    "email": "albert.skibinski@gmail.com",
                    "homepage": "https://albert.skibinski.nl"
                }
            ],
            "description": "Perform vector operations natively on MySQL",
            "support": {
                "source": "https://github.com/maxguru/mysql-vector/tree/v3.3.0"
            },
            "funding": [
                {
                    "url": "https://github.com/maxguru",
                    "type": "github"
                },
                {
                    "url": "https://liberapay.com/maxguru",
                    "type": "liberapay"
                }
            ],
            "install-path": "../maxguru/mysql-vector"
        },
        {
            "name": "nikic/php-parser",
            "version": "v5.7.0",
            "version_normalized": "5.7.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/nikic/PHP-Parser.git",
                "reference": "dca41cd15c2ac9d055ad70dbfd011130757d1f82"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/nikic/PHP-Parser/zipball/dca41cd15c2ac9d055ad70dbfd011130757d1f82",
                "reference": "dca41cd15c2ac9d055ad70dbfd011130757d1f82",
                "shasum": ""
            },
            "require": {
                "ext-ctype": "*",
                "ext-json": "*",
                "ext-tokenizer": "*",
                "php": ">=7.4"
            },
            "require-dev": {
                "ircmaxell/php-yacc": "^0.0.7",
                "phpunit/phpunit": "^9.0"
            },
            "time": "2025-12-06T11:56:16+00:00",
            "bin": [
                "bin/php-parse"
            ],
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "5.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "PhpParser\\": "lib/PhpParser"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "BSD-3-Clause"
            ],
            "authors": [
                {
                    "name": "Nikita Popov"
                }
            ],
            "description": "A PHP parser written in PHP",
            "keywords": [
                "parser",
                "php"
            ],
            "support": {
                "issues": "https://github.com/nikic/PHP-Parser/issues",
                "source": "https://github.com/nikic/PHP-Parser/tree/v5.7.0"
            },
            "install-path": "../nikic/php-parser"
        },
        {
            "name": "orhanerday/open-ai",
            "version": "5.3",
            "version_normalized": "5.3.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/orhanerday/open-ai.git",
                "reference": "4ba9c704197b91260c89a1dc147cf46f81824f02"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/orhanerday/open-ai/zipball/4ba9c704197b91260c89a1dc147cf46f81824f02",
                "reference": "4ba9c704197b91260c89a1dc147cf46f81824f02",
                "shasum": ""
            },
            "require": {
                "ext-curl": "*",
                "ext-json": "*",
                "php": ">=7.4"
            },
            "require-dev": {
                "friendsofphp/php-cs-fixer": "^3.0",
                "pestphp/pest": "^1.20",
                "spatie/ray": "^1.28"
            },
            "time": "2025-03-12T12:04:33+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Orhanerday\\OpenAi\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Orhan Erday",
                    "email": "orhanerday@gmail.com",
                    "role": "Developer"
                }
            ],
            "description": "OpenAI GPT-3 Api Client in PHP",
            "homepage": "https://github.com/orhanerday/open-ai",
            "keywords": [
                "open-ai",
                "orhanerday"
            ],
            "support": {
                "issues": "https://github.com/orhanerday/open-ai/issues",
                "source": "https://github.com/orhanerday/open-ai/tree/5.3"
            },
            "funding": [
                {
                    "url": "https://github.com/orhanerday",
                    "type": "github"
                }
            ],
            "install-path": "../orhanerday/open-ai"
        },
        {
            "name": "simpletools/functionparser",
            "version": "1.0.1",
            "version_normalized": "1.0.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/getsimpletools/FunctionParser.git",
                "reference": "70be7b13ede36befcbc76bc796740650ecaa14b9"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/getsimpletools/FunctionParser/zipball/70be7b13ede36befcbc76bc796740650ecaa14b9",
                "reference": "70be7b13ede36befcbc76bc796740650ecaa14b9",
                "shasum": ""
            },
            "require": {
                "php": ">=7.4"
            },
            "time": "2024-02-16T11:35:03+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "FunctionParser\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Jeremy Lindblom",
                    "role": "Creator"
                },
                {
                    "name": "Ciaran Moore",
                    "role": "Developer"
                }
            ],
            "description": "Function parser for PHP functions, methods, and closures",
            "homepage": "https://github.com/getsimpletools/FunctionParser",
            "keywords": [
                "closure",
                "function",
                "parser",
                "tokenizer"
            ],
            "support": {
                "source": "https://github.com/getsimpletools/FunctionParser/tree/1.0.1"
            },
            "install-path": "../simpletools/functionparser"
        }
    ],
    "dev": false,
    "dev-package-names": []
}
